Subject: Re: StrongARM SA-1110 / SA-1111 and Kernel 4.9.210 (Jornada 720)

From: Russell King - ARM Linux admin <[email-masked]>
Date: Fri, 7 Feb 2020 23:19:46 +0000

Hi,

Hmm, if you enable early printk, can you then get the kernel boot
messages?

Enable CONFIG_EARLY_PRINTK, and then supply "earlyprintk" on the
kernel command line.

Thanks.

On Fri, Feb 07, 2020 at 12:51:51PM +0100, Stefan Lehner wrote:
> Hello!
> I tested it with both options enabled and it makes no difference. No error
> messages during boot. The kernel compiles fine!
> 
> Regards
> Stefan
> 
> 
> 
> 
> -----Ursprüngliche Nachricht-----
> Von: linux-arm-kernel [mailto:[email-masked]]
> Im Auftrag von Russell King - ARM Linux admin
> Gesendet: Mittwoch, 22. Jänner 2020 11:25
> An: Stefan Lehner
> Cc: [email-masked]
> Betreff: Re: StrongARM SA-1110 / SA-1111 and Kernel 4.9.210 (Jornada 720)
> 
> On Wed, Jan 22, 2020 at 11:21:36AM +0100, Stefan Lehner wrote:
> > 
> > On Wed, Jan 22, 2020 at 09:10:13AM +0100, Stefan Lehner wrote:
> > > Hi!
> > > I like to get a newer Linux Kernel running on my Jornada 720. It has a
> > > StrongArm SA-1110 CPU and the SA-1111 companion chip. 
> > > I patched the kernel source with the BX emulation to run a newer Debian
> > > userland. The kernel compiled fine. 
> > > It starts to boot on the Jornada with the linexec bootloader. But it
> seems
> > > that it doesnt detect any CF or PCMCIA card. I managed to get the
> > > jornada720_pcmcia_configure_socket() running and it detects the card and
> > > powers it up with the correct voltage (3V for the CF card in socket 1).
> > 
> > >> What was required for that?
> > 
> > I had to comment out: 
> > # CONFIG_PCMCIA_SA1100 is not set
> > and activate:
> > CONFIG_PCMCIA_SA1111=y
> > in the kernel .config.
> 
> Yes, you'll need CONFIG_PCMCIA_SA1111 set, because the Jornada720 uses
> the companion chip.  CONFIG_PCMCIA_SA1100 should make no difference, so
> can we spend some time working out why you needed to disable it?
> 
> Did you get any error messages during boot with both enabled?
> 
> -- 
> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps
> up
> According to speedtest.net: 11.9Mbps down 500kbps up
> 
> _______________________________________________
> linux-arm-kernel mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
> 
> 
> _______________________________________________
> linux-arm-kernel mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
> 

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel